Defines a solid fill.

Use a GraphicsSolidFill object with the `Graphics.drawGraphicsData()` method. Drawing a GraphicsSolidFill object is the equivalent of calling the `Graphics.beginFill()` method.

### Hierarchy

- GraphicsSolidFill

### Implements

- IGraphicsData
- IGraphicsFill

## Index

### Constructors

- constructor

### Properties

- alpha
- color

## Constructors

### constructor

- new GraphicsSolidFill(color?: number, alpha?: number): GraphicsSolidFill

- - Defined in lib/openfl/display/GraphicsSolidFill.d.ts:30

  Creates a new GraphicsSolidFill object.

  #### Parameters

  - ##### Optional color: number

    The color value. Valid values are in the hexadecimal format 0xRRGGBB.

  - ##### Optional alpha: number

    The alpha transparency value. Valid values are 0(fully transparent) to 1(fully opaque).

  #### Returns GraphicsSolidFill

## Properties

### alpha

alpha: number

- Defined in lib/openfl/display/GraphicsSolidFill.d.ts:24

Indicates the alpha transparency value of the fill. Valid values are 0 (fully transparent) to 1(fully opaque). The default value is 1. Display objects with alpha set to 0 are active, even though they are invisible.

### color

color: number

- Defined in lib/openfl/display/GraphicsSolidFill.d.ts:30

The color of the fill. Valid values are in the hexadecimal format 0xRRGGBB. The default value is 0xFF0000(or the uint 0).

Generated using TypeDoc